Fulfillment & ShippingMethods
List shipping method slots
Lists the available time slots for a shipping method on a date.
POST
/v1/shipping/methods/slotsLists the available time slots for a shipping method on a date.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/shipping/methods/slots" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "shippingMethodId": "7204558912004325301", "target": "automatic", "targetId": "7204558912004325301", "postalCode": "example_code", "latitude": 1, "longitude": 1, "date": "2026-08-01" }'{ "shippingMethodId": "7204558912004325301", "type": "regular", "target": "automatic", "targetId": "7204558912004325301", "fulfillmentLocationId": "7204558912004325301", "date": "2026-08-01", "capacity": 1, "scheduledCount": 1, "slots": [ "09:00:00Z" ]}